/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;

import java.util.List;

/**
 * 
 * @author Administrador
 */
public interface TipoPuntoVentaDAO {

	public List<TipoPuntoVenta> obtenerTodos();

	public TipoPuntoVenta obtenerID(Short id);

	public TipoPuntoVenta suscribir(TipoPuntoVenta entidad);

	public TipoPuntoVenta actualizacion(TipoPuntoVenta entidad);

	public void borrar(TipoPuntoVenta entidad);

	public Long count(String campo, Object o);

	public List<TipoPuntoVenta> buscar(String desctipo);

	public List<TipoPuntoVenta> obtenerTodosExceto(Short... id);
}
